// Tluck VoodooPS2Controller Fork - add T460 identifier for TrackPad (Trackpoint)

//DefinitionBlock("", "SSDT", 2, "L440", "TRACKPAD", 0)
//{
    External(\_SB.PCI0, DeviceObj)
    External(\_SB.PCI0.LPCB, DeviceObj)
    External(\_SB.PCI0.LPCB.KBD, DeviceObj)
    Scope (\_SB.PCI0.LPCB.KBD)
    {
        // Select specific items in VoodooPS2Controller
        Method(_DSM, 4)
        {
            If (!Arg2) { Return (Buffer() { 0x03 } ) }
            Return (Package()
            {
                "RM,oem-id", "LENOVO",
                "RM,oem-table-id", "T460",
            })
        }
    }
    
//Disable Dynamic EW Mode
    
    Scope (_SB.PCI0.LPCB.KBD)
    {
        // overrides for VoodooPS2 configuration...
        Name(RMCF, Package()
        {
            "Synaptics TouchPad", Package()
            {
                "DynamicEWMode", ">n",
            },
        })
    }
//}
//EOF
