// USB configuration for L440 //Disables XWAK.XSEL,ESEL

//DefinitionBlock ("", "SSDT", 2, "L440", "USB", 0)
//{
    // USB Ports Custom Injector/Override for Active Ports into XHC
    
        Device(UIAC)
    {
        Name(_HID, "UIA00000")

        Name(RMCF, Package()
        {
            "8086_8c31", Package()
            {
                "port-count", Buffer() { 21, 0, 0, 0 },
                "ports", Package()
                {
                    "HS01", Package()
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 1, 0, 0, 0 },
                    },
                    "HS02", Package()
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 2, 0, 0, 0 },
                    },
                    "HS03", Package()
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 3, 0, 0, 0 },
                    },
                    "HS06", Package()
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 6, 0, 0, 0 },
                    },
                    "HS11", Package()
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 11, 0, 0, 0 },
                    },
                    "HS12", Package()
                    {
                        "UsbConnector", 255,
                        "port", Buffer() { 12, 0, 0, 0 },
                    },
                    "SSP1", Package()
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 16, 0, 0, 0 },
                    },
                },
            },
        })
    }

    // Disabling XSEL

    External(_SB.PCI0.XHC, DeviceObj)

    Method(_SB.PCI0.XHC.XSEL)
    {
        // do nothing
    }
    
    // Disabling ESEL

    Method(_SB.PCI0.XHC.ESEL)
    {
        // do nothing
    }
    
    // Disabling XWAK

    Method(_SB.PCI0.XHC.XWAK)
    {
        // do nothing
    }
//}
//EOF